Subject: Re: [PATCH] ax25: Fix memory leaks caused by ax25_cb_del()

From: Dan Carpenter <[email-masked]>
Date: Thu, 10 Mar 2022 16:05:08 +0300

This is a very frustrating patch because you make a lot of unnecessary
white space changes and you didn't run checkpatch on your patch.

The whole approach feels like the wrong thing...

I have read your commit message, but I don't understand why we can't
just use normal refcounting.  It sounds like there is a layering
violation somewhere?

Even if we go with this approach ->kill_flag and ->bind_flag should be
booleans.  It makes no sense to have a unsigned long where only BIT(2)
can be set.

regards,
dan carpenter